# CurveStethPoolWithdraw

### Description

Action that withdraws tokens from the Curve steth pool

### Action ID

`0x212a9416`

### SDK Action

```ts
const curveStethPoolWithdrawAction = new dfs.actions.curve.CurveStethPoolWithdrawAction(
    from,
    to,
    amounts,
    maxBurnAmount,
    returnValue
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param from Address where to pull lp tokens from
    /// @param to Address that will receive the withdrawn tokens
    /// @param amounts Amount of each token to withdraw
    /// @param maxBurnAmount Max amount of LP tokens to burn
    /// @param returnValue Type of token to return (WETH, STETH, LP)
    struct Params {
        address from;
        address to;
        uint256[2] amounts;
        uint256 maxBurnAmount;
        ReturnValue returnValue;
    }
```

### Return Value

```solidity
return (WETH, STETH, LP)
    struct Params {
        address from;
```

### Events and Logs

```solidity
emit ActionEvent("CurveStethPoolWithdraw", logData);
logger.logActionDirectEvent("CurveStethPoolWithdraw", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/curve/curvestethpoolwithdraw.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
